org.apache.uima.fit.internal

## Class ExtendedExternalResourceDescription_impl

- java.lang.Object
- - org.apache.uima.resource.metadata.impl.MetaDataObject_impl
  - - org.apache.uima.resource.impl.ExternalResourceDescription_impl
    - - org.apache.uima.fit.internal.ExtendedExternalResourceDescription_impl

- All Implemented Interfaces:
    Serializable, Cloneable, ExternalResourceDescription, MetaDataObject, XMLizable

      public class ExtendedExternalResourceDescription_impl
      extends ExternalResourceDescription_impl

  INTERNAL API - Extended `ExternalResourceDescription_impl` which can carry `ExternalResourceDescription`s.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `serialContext`

    - ### Fields inherited from interface org.apache.uima.resource.ExternalResourceDescription

      `EMPTY_EXTERNAL_RESORUCE_DESCRIPTIONS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedExternalResourceDescription_impl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ExternalResourceBinding>` | `getExternalResourceBindings()`
    `List<ExternalResourceDescription>` | `getExternalResources()`
    `void` | `setExternalResourceBindings(Collection<ExternalResourceBinding> aExternalResourceBindings)`
    `void` | `setExternalResources(Collection<ExternalResourceDescription> aExternalResourceDescriptions)`

    - ### Methods inherited from class org.apache.uima.resource.impl.ExternalResourceDescription_impl

      `getDescription, getImplementationName, getName, getResourceSpecifier, getXmlizationInfo, setDescription, setImplementationName, setName, setResourceSpecifier`

    - ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `buildFromXMLElement, buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Constructor Detail

    - #### ExtendedExternalResourceDescription_impl

          public ExtendedExternalResourceDescription_impl()

  - ### Method Detail

    - #### getExternalResourceBindings

          public List<ExternalResourceBinding> getExternalResourceBindings()

      Returns:
        the external resource bindings

    - #### setExternalResourceBindings

          public void setExternalResourceBindings(Collection<ExternalResourceBinding> aExternalResourceBindings)

      Parameters:
        `aExternalResourceBindings` - the external resource bindings

    - #### getExternalResources

          public List<ExternalResourceDescription> getExternalResources()

      Returns:
        the external resource descriptions

    - #### setExternalResources

          public void setExternalResources(Collection<ExternalResourceDescription> aExternalResourceDescriptions)

      Parameters:
        `aExternalResourceDescriptions` - the external resource descriptions

Copyright © 2012–2021 The Apache Software Foundation. All rights reserved.